Subject: Re: [openib-general] Re: [PATCH 6/6] IB: userspace support for RDMA connection manager

From: Roland Dreier <[email-masked]>
Date: Mon, 06 Mar 2006 16:10:56 -0800

Bryan> Depends on the driver.  Ours needs the interrupt vector
    Bryan> rather than the number, which means we don't work without
    Bryan> CONFIG_PCI_MSI.  That is, unless there's some other way to
    Bryan> get the vector that I don't know about (entirely likely).

OK, fair enough.  But that's a quirk of the x86 architecture that
you're pretty tied to -- you don't actually need MSI, you just need
the interrupt numbering that is enabled on x86 with that config option.

Since Niagara boxes don't have HT anyway it's kind of a moot point.
Although I wonder what you would have to do to make your device work
with something like the MIPS SoCs that have HT...

 - R.